Package org.apache.sysds.runtime.functionobjects

## Class Mean

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction
    - - org.apache.sysds.runtime.functionobjects.Mean

All Implemented Interfaces:
  `Serializable`

    public class Mean
    extends ValueFunction

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Data` `execute​(Data in1, double in2, double count)`
`void` `execute2​(KahanObject in1, double in2, double count)` Simplified version of execute(Data in1, double in2) without exception handling and casts.
`static Mean` `getMeanFnObject()`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`isBinary, requiresCorrection, toString`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getMeanFnObject

    public static Mean getMeanFnObject()

#### execute

    public Data execute​(Data in1,
                        double in2,
                        double count)

Overrides:
  `execute` in class `FunctionObject`

#### execute2

    public void execute2​(KahanObject in1,
                         double in2,
                         double count)

Simplified version of execute(Data in1, double in2) without exception handling and casts.

Parameters:
  `in1` - Kahan object input
  `in2` - double input
  `count` - the count to divide by